Subject: Linking with ORACLE Pro*C/C++ Libraries on NT
From: [email-masked] (Chris Kirgios)

31 Aug 1997 00:34:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
Original-To: "[email-masked]'" <[email-masked]>
X-MIME-Autoconverted: from quoted-printable to 8bit by cygnus.com id IAA22974
Original-Sender: [email-masked]

I have a g++ compiled library that contains embeded SQL. It was precompiled with Oracle's Pro*C/C++ compiler on Windows NT.  In order to link that library with my executable I need to link with Oracle's sqllib80.lib (or sqllib80.dll, which is NOT a .a library).  When I run gdb I get a bunch of DLL relocation errors. 

Question: Does anyone know how to 'transform' the Oracle DLL (by the way, Oracle provides copies of it only for Vicual C++ and Borland C++ compilers) into a gnu-win32 library? Has anyone else come across the same or similar problem? I suspect that this might be a more general problem for situations where source code is not available but DLLs (created with non-cygwin32 compilers) are.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".